Bug 218831 - Review Request: python-urljr - A common interface to urllib2 and curl for making HTTP requests
Review Request: python-urljr - A common interface to urllib2 and curl for mak...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 218787
Blocks: FE-ACCEPT 218844 218852
  Show dependency treegraph
 
Reported: 2006-12-07 13:52 EST by Jeffrey C. Ollie
Modified: 2007-12-16 12:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 00:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-12-07 13:52:18 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-urljr-1.0.1-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/python-urljr-1.0.1-1.fc6.src.rpm
Description:

URL-related utilities from JanRain, Inc. This package contains the
"fetchers" module, which provides a common interface to urllib2 and
curl for making HTTP requests.
Comment 1 Michał Bentkowski 2006-12-08 12:51:30 EST
I'll review it :)
Comment 2 Michał Bentkowski 2006-12-08 13:09:47 EST
MUST items:
 * rpmlint is quiet
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with an LGPL open-source compatible license
 * License field in spec file matches actual license
 * license file isn't included in %doc
 * md5sums are matching (0b120d08dc4538ed5c4ee5c77447b865)
 * BuildRequires listed well
 * no locales
 * no need to %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * %files section includes %defattr 
 * proper %clean section
 * macros used well

In fact, license file isn't included as a COPYING file contains only information
about license, not the license itself. However, guidelines say that:
"If (and only if) the source package includes the text of the license(s) in its 
wn file, then that file, containing the text of the license(s) for the package
must be included in %doc." so it's not a blocker.

Package is approved :)
Comment 3 Michał Bentkowski 2006-12-10 12:48:48 EST
I see package in CVS, but you haven't even tried to rebuild it, why?
Comment 4 Jeffrey C. Ollie 2006-12-10 13:13:38 EST
python-urljr depends on python-pycurl.  python-pycurl in development needs to be
updated to a CVS snapshot since curl in development is newer than curl in FC <=
6.  I'm waiting for the python-pycurl to be branched for FC-5 and FC-6 to
upgrade development to the CVS snapshot (FC-5 and FC-6 will stick with the
released version that was reviewed).
Comment 5 Jeffrey C. Ollie 2006-12-12 00:02:33 EST
OK, now that python-pycurl has been built, I've pushed builds for python-urljr.
 They should be available in the next push.
Comment 6 Jeffrey C. Ollie 2007-12-15 17:16:46 EST
Package Change Request
======================
Package Name: python-urljr
New Branches: EL-4 EL-5
Updated EPEL Owners: jcollie
Comment 7 Kevin Fenzi 2007-12-16 12:33:02 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.